[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# AppClass

Default class used when creating the application instance.

## Declaration

Source position: daemonapp.pp line 456

`var AppClass: TCustomDaemonApplicationClass;`

## Description

AppClass can be set to the class of a TCustomDaemonApplication descendant. When the Application function needs to create an application instance, this class will be used. If Application was already called, the value of AppClass will be ignored.

## See also

Application |  | Application instance
TCustomDaemonApplication |  | Custom daemon application class